#ifndef MUSIC_H
#define MUSIC_H

#include "resource.h"

#include "sound/mididrv.h"
#include "sound/midiparser.h"

namespace Kyra {
	class XMIDI : public MusicFile {
	
	public:
	
		XMIDI(uint8* data, uint32 size, KyraEngine* engine);
		~XMIDI() { delete _parser; delete [] _buffer; }
		
		void play(void);
		
	protected:
	
		uint8* _buffer;
		uint32 _buffersize;		
		KyraEngine* _engine;
		MidiParser* _parser;
	
	};
} // end of namespace Kyra

#endif
